L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Python : déni de service via Lib/ipaddress.py Hash Collision

Synthèse de la vulnérabilité 

Un attaquant peut provoquer une erreur fatale via Lib/ipaddress.py Hash Collision de Python, afin de mener un déni de service.
Systèmes vulnérables : Debian, Fedora, openSUSE Leap, Python, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette menace : 2/4.
Date de création : 19/06/2020.
Références de cette faille : CVE-2020-14422, DLA-2280-1, FEDORA-2020-16167a66a2, FEDORA-2020-1ddd5273d6, FEDORA-2020-4cf7c3910b, FEDORA-2020-705c6ea5be, FEDORA-2020-87c0a0a52d, FEDORA-2020-b513391ca8, FEDORA-2020-d808fdd597, FEDORA-2020-dfb11916cc, FEDORA-2020-efb908b6a8, openSUSE-SU-2020:0931-1, openSUSE-SU-2020:0940-1, openSUSE-SU-2020:0989-1, openSUSE-SU-2020:1002-1, SUSE-SU-2020:1822-1, SUSE-SU-2020:2157-1, SUSE-SU-2020:2216-1, USN-4428-1, VIGILANCE-VUL-32588.

Description de la vulnérabilité 

Un attaquant peut provoquer une erreur fatale via Lib/ipaddress.py Hash Collision de Python, afin de mener un déni de service.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette faille concerne les logiciels ou systèmes comme Debian, Fedora, openSUSE Leap, Python, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette vulnérabilité cyber-sécurité est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de client internet.

Un attaquant avec un niveau de compétence expert peut exploiter cette alerte cybersécurité.

Solutions pour cette menace 

Python : version 3.7.9.
La version 3.7.9 est corrigée :
  https://www.python.org/

Python : version 3.6.12.
La version 3.6.12 est corrigée :
  https://www.python.org/

Fedora 31-32 : nouveaux paquetages python35.
De nouveaux paquetages sont disponibles :
  Fedora 31 : python35 3.5.10-1.fc31
  Fedora 32 : python35 3.5.10-1.fc32

Python : version 3.5.10.
La version 3.5.10 est corrigée :
  https://www.python.org/downloads/release/python-3510/

Python : patch pour Lib/ipaddress.py Hash Collision.
Un patch est disponible :
  https://github.com/python/cpython/pull/20956

Debian 9 : nouveaux paquetages python3.5.
De nouveaux paquetages sont disponibles :
  Debian 9 : python3.5 3.5.3-1+deb9u2

Fedora 31-32 : nouveaux paquetages python39.
De nouveaux paquetages sont disponibles :
  Fedora 31 : python39 3.9.0~b4-1.fc31
  Fedora 32 : python39 3.9.0~b4-1.fc32

Fedora 31 : nouveaux paquetages python3.
De nouveaux paquetages sont disponibles :
  Fedora 31 : python3 3.7.8-2.fc31

Fedora 31 : nouveaux paquetages python36.
De nouveaux paquetages sont disponibles :
  Fedora 31 : python36 3.6.11-3.fc31

Fedora 32 : nouveaux paquetages mingw-python3.
De nouveaux paquetages sont disponibles :
  Fedora 32 : mingw-python3 3.8.3-3.fc32

Fedora 32 : nouveaux paquetages python36.
De nouveaux paquetages sont disponibles :
  Fedora 32 : python36 3.6.11-3.fc32

Fedora 32 : nouveaux paquetages python37.
De nouveaux paquetages sont disponibles :
  Fedora 32 : python37 3.7.8-2.fc32

openSUSE Leap 15.1 : nouveaux paquetages python3.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : python3 3.6.10-lp151.6.21.1

openSUSE Leap 15.1 : nouveaux paquetages python-ipaddress.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : python-ipaddress 1.0.18-lp151.3.3.1

openSUSE Leap 15.2 : nouveaux paquetages python3.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : python3 3.6.10-lp152.4.3.1

openSUSE Leap 15.2 : nouveaux paquetages python-ipaddress.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : python-ipaddress 1.0.18-lp152.4.3.1

SUSE LE 12 : nouveaux paquetages python-ipaddress.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP2 : python-ipaddress 1.0.18-3.13.1
  SUSE LE 12 SP3 : python-ipaddress 1.0.18-3.13.1
  SUSE LE 12 SP4 : python-ipaddress 1.0.18-3.13.1
  SUSE LE 12 SP5 : python-ipaddress 1.0.18-3.13.1

SUSE LE 12 SP5 : nouveaux paquetages python36.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : python36 3.6.10-4.17.1

SUSE LE 15 : nouveaux paquetages python3.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : python3 3.6.10-3.56.1
  SUSE LE 15 SP1 : python3 3.6.10-3.56.1
  SUSE LE 15 SP2 : python3 3.6.10-3.56.1

Ubuntu : nouveaux paquetages python.
De nouveaux paquetages sont disponibles :
  Ubuntu 20.04 LTS : python3.8 3.8.2-1ubuntu1.2
  Ubuntu 18.04 LTS : python2.7 2.7.17-1~18.04ubuntu1.1, python3.6 3.6.9-1~18.04ubuntu1.1
  Ubuntu 16.04 LTS : python2.7 2.7.12-1ubuntu0~16.04.12, python3.5 3.5.2-2ubuntu0~16.04.11
  Ubuntu 14.04 ESM : python2.7 2.7.6-8ubuntu0.6+esm6, python3.4 3.4.3-1ubuntu1~14.04.7+esm7
  Ubuntu 12.04 ESM : python2.7 2.7.3-0ubuntu3.18

Wind River Linux : version 10.19.45.10.
La version 10.19.45.10 est corrigée :
  https://support2.windriver.com/index.php?page=cve&on=list&show=50&product_id=1&product_version%5B0%5D=24&id_status%5B0%5D=4&cve_id_filter=&s=&submit=&order_by=cve_modified_date&order_way=desc#list
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit des avis de vulnérabilité de système. La cellule de veille technologique suit les menaces sécurité qui ciblent le parc informatique.